%define anolis_release 1
%global pypi_name xxhash
%global pypi_version 3.3.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Python binding for xxHash

License:        BSD
URL:            https://github.com/ifduyue/python-xxhash
Source0:        %{pypi_source}

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)

%description
xxhash is a Python binding for the xxHash library by Yann Collet.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
xxhash is a Python binding for the xxHash library by Yann Collet.


%prep
%autosetup -n %{pypi_name}-%{pypi_version}

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Mon Sep 11 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 3.3.0-1
- Initial package.
